Subject: [PATCH] imx: thermal: imx_get_temp might be called before the sensor clock ist prepared

From: [email-masked] (Heiner Kallweit)
Date: Wed, 08 Oct 2014 07:27:33 +0200

OK, I'll submit a revised patch with improved error path.

Regards, Heiner

Am 07.10.2014 um 21:42 schrieb Fabio Estevam:
> Hi Heiner,
> 
> On Tue, Oct 7, 2014 at 4:36 PM, Heiner Kallweit <[email-masked]> wrote:
>> Thanks for the hint, Philipp.
>> After thinking a little bit more about it I'm not sure about one thing:
>>
>> If we can't get the clock or fail to enable it: Currently the code just throws
>> a warning and proceeds with trying to register the thermal device.
>> Does this make sense or shall we bail out instead (like in case of other error conditions
>> in imx_thermal_probe)? I'd tend to bail out ..
> 
> Agree with you. We should do a 'return ret' if clk_prepare_enable()
> fails. Thanks
>